import type { DeckConfig } from './types.js';
import type { Note } from './note.js';
import type { Model } from './model.js';
import { Card } from './card.js';
export declare class Deck {
    deckId: number;
    name: string;
    description: string;
    notes: Note[];
    cards: Card[];
    constructor(config: DeckConfig);
    /**
     * Add a note to the deck
     */
    addNote(note: Note, model?: Model): void;
    /**
     * Add multiple notes to the deck
     */
    addNotes(notes: Note[], model?: Model): void;
    /**
     * Get the number of notes in the deck
     */
    getNoteCount(): number;
    /**
     * Get the number of cards in the deck
     */
    getCardCount(): number;
    /**
     * Generate the JSON representation for the Anki collection
     */
    toJson(): string;
}
//# sourceMappingURL=deck.d.ts.map