import type { NoteConfig } from './types.js';
export declare class Note {
    modelId: number;
    fields: string[];
    tags: string[];
    guid: bigint;
    sort: number;
    constructor(config: NoteConfig);
    /**
     * Set a specific field value
     */
    setField(index: number, value: string): void;
    /**
     * Get a specific field value
     */
    getField(index: number): string;
    /**
     * Add a tag to the note
     */
    addTag(tag: string): void;
    /**
     * Remove a tag from the note
     */
    removeTag(tag: string): void;
    /**
     * Generate checksum for the note
     */
    checksum(): number;
    /**
     * Generate SQL values for inserting into notes table
     */
    toSqlValues(): {
        id: number;
        guid: string;
        mid: number;
        mod: number;
        usn: number;
        tags: string;
        flds: string;
        sfld: string;
        csum: number;
        flags: number;
        data: string;
    };
}
//# sourceMappingURL=note.d.ts.map