export interface Field {
    name: string;
    font?: string;
    size?: number;
    sticky?: boolean;
    rtl?: boolean;
    ord?: number;
}
export interface Template {
    name: string;
    qfmt: string;
    afmt: string;
    bqfmt?: string;
    bafmt?: string;
    did?: number;
    bfont?: string;
    bsize?: number;
    ord?: number;
}
export interface ModelConfig {
    modelId?: number;
    name: string;
    fields: Field[];
    templates: Template[];
    css?: string;
    latexPre?: string;
    latexPost?: string;
    type?: number;
    tags?: string[];
}
export interface MediaFile {
    name: string;
    data: Buffer | Uint8Array;
}
export interface NoteConfig {
    modelId?: number;
    fields: string[];
    tags?: string[];
    guid?: string;
}
export interface DeckConfig {
    deckId?: number;
    name: string;
    description?: string;
}
export interface PackageConfig {
    media?: MediaFile[];
}
//# sourceMappingURL=types.d.ts.map