/**
 * Generate a random GUID for Anki objects
 */
export declare function generateGuid(): bigint;
/**
 * Generate a unique GUID with timestamp to avoid duplicates
 */
export declare function generateUniqueGuid(): bigint;
/**
 * Convert timestamp to Anki time format
 */
export declare function ankiTime(): number;
/**
 * Generate a checksum for the collection
 */
export declare function generateChecksum(): number;
/**
 * Escape special characters for SQL
 */
export declare function sqlEscape(text: string): string;
/**
 * Join array elements with Anki field separator
 */
export declare function joinFields(fields: string[]): string;
/**
 * Format tags for Anki
 */
export declare function formatTags(tags: string[]): string;
/**
 * Generate a random deck ID
 */
export declare function generateDeckId(): number;
/**
 * Generate a random model ID
 */
export declare function generateModelId(): number;
//# sourceMappingURL=utils.d.ts.map